CFLAGS= -g -fpermissive
CPP= g++
GCC= gcc
MAKE = make
#INCLUDES= -I ./Include
all : backprops interface autopilot
	@mv server/AutoPilot ./
backprops :
	@$(MAKE) -C backprop
interface :
	@$(MAKE) -C InterfaceCpp
autopilot :
	@$(MAKE) -C server
clean : cleanbackprop cleaninterface cleanautopilot
cleanbackprop :
	@$(MAKE) -C backprop clean
cleaninterface :
	@$(MAKE) -C InterfaceCpp clean
cleanautopilot :
	@$(MAKE) -C server clean

mrproper : mrproperbackprop mrproperinterface mrproperautopilot
	rm -rf AutoPilot
mrproperbackprop :
	@$(MAKE) -C backprop mrproper
mrproperinterface :
	@$(MAKE) -C InterfaceCpp mrproper
mrproperautopilot :
	@$(MAKE) -C server mrproper


